Subject: bug#8463: 24.0.50; [PATCH] Direct Edit in *Occur* Buffer

From: Juri Linkov <[email-masked]>
Date: Fri, 09 Sep 2011 14:39:23 +0300

I appreciate this new feature Occur-Edit.  It's especially powerful with
the ability of syncing replacements made by `query-replace' from the
*Occur* buffer to the source buffer.  It could provide a special
keybinding to start making replacements with the same regexp as used to run
`occur' like grep-x.el does in http://thread.gmane.org/gmane.emacs.devel/66418
and in http://thread.gmane.org/gmane.emacs.devel/108202/focus=108229

Also it has one little drawback: it adds too many undo boundaries,
so to undo changes in the source buffer, it requires too many `C-_'.
There is no such problem in all.el (from ELPA) because
`all-after-change-function' doesn't call `recenter' and `move-to-column'.

But there is a greater drawback: stealing the `C-x C-q' keybinding from
`toggle-read-only' and putting read-only properties on the *Occur* buffer
is unacceptable.  I'm used to run `flush-lines' and `keep-lines' to narrow
the search results, but can't do this anymore.  This is a regression.